Bug 66798 - ATI 7500 Radeon requires "CrtScreen"
ATI 7500 Radeon requires "CrtScreen"
Status: CLOSED WONTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: Xconfigurator (Show other bugs)
1.0
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-16 20:56 EDT by Michal Jaegermann
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-20 08:36:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2002-06-16 20:56:11 EDT
Description of Problem:

To get any picture with X one needs "CrtScreen" active in a config file.
This, unsurprisingly, makes Xconfigurator to return with errors on every
attempt to test configuration results.  A comment in a freshly created
file refers to "bug (#62760)" and after activating produced but commented
out line everything works quite nicely.

Data below are for 64 Meg Radeon I have on hands but I have seen the same
with another, 128 Meg, variant of this card.  This is reported for Alpha
as this was observed on that platform.

The card is identified by X server as ATI Radeon 7500 QW (AGP), rev 0
and lspci has the following to say:

# lspci -v -s 1:05.0
01:05.0 VGA compatible controller: ATI Technologies Inc: Unknown device 5157
(prog-if 00 [VGA])
	Subsystem: ATI Technologies Inc: Unknown device 013a
	Flags: bus master, stepping, 66Mhz, medium devsel, latency 32, IRQ 10
	Memory at 00000000e8000000 (32-bit, prefetchable) [size=128M]
	I/O ports at 8000 [size=256]
	Memory at 00000000f8000000 (32-bit, non-prefetchable) [size=64K]
	Expansion ROM at 00000000f0000000 [disabled] [size=128K]
	Capabilities: [58] AGP version 2.0
	Capabilities: [50] Power Management version 2

# lspci -vn -s 1:05.0
01:05.0 Class 0300: 1002:5157
	Subsystem: 1002:013a
	Flags: bus master, stepping, 66Mhz, medium devsel, latency 32, IRQ 10
	Memory at 00000000e8000000 (32-bit, prefetchable) [size=128M]
	I/O ports at 8000 [size=256]
	Memory at 00000000f8000000 (32-bit, non-prefetchable) [size=64K]
	Expansion ROM at 00000000f0000000 [disabled] [size=128K]
	Capabilities: [58] AGP version 2.0
	Capabilities: [50] Power Management version 2


Version-Release number of selected component (if applicable):
XFree86-4.2.0-7
Xconfigurator-4.10.7-2
Comment 1 Mike A. Harris 2002-06-20 08:36:26 EDT
Bug report filed:  2002-06-16 20:56:11

>Version-Release number of selected component (if applicable):
>XFree86-4.2.0-7

We shipped 4.2.0 in RHL 7.3

While this is reported on alpha, we don't have an alpha 7.3 distribution,
and there are no alpha 7.3 packages present.  The hardware ID's listed
above are the same as the hardware I have at hand right now, which works
fine on x86.  I don't have an AGP alpha with which to try, however such
a problem should be architecture independant.

I'm not sure if this is something that may have changed from 4.2.0-7 to
4.2.0-8, or if it is perhaps a card revision difference or perhaps even
a card BIOS version difference.

One thing is for sure though, we don't support architecture specific
configuration defaults (at least not currently), so any changes that
need to be made are for all architectures.

Currently not sure how to handle this problem properly, so I'm going
to wait and try to collect more data from others who might be experiencing
the problem as well.  If it is indeed for some strange reason an
arch dependant issue, I'd prefer to fix it in the driver code itself
with conditional code.  If it's not arch dependant, I'd prefer to determine
how to autodetect the cards that require it, and have the driver use
that option by default for that hardware.

The more info you can provide to me about this, the better.  Please try
to test it on x86 hardware with the released Red Hat Linux 7.3 if possible.

Comment 2 Mike A. Harris 2002-08-22 06:54:02 EDT
The above card is the exact identical card I have, subvendor/device
ID is identical.  I do not need CrtDisplay option for it to work.

The Alpha port (7.2) uses XFree86 4.1.0, which doesn't support this
hardware.  We do not have an official product for Alpha using
4.2.0 currently, so forking the hardware database into an alpha branch
is also not an option.

The CrtDisplay option is removed in XFree86 CVS and a better replacement
is present, so this should fix itself in the long run for our Alpha
product, when we do a new release with 4.3.0.

Closing as WONTFIX, as there is no real way for me to fix this, or
justify trying to backport CVS just for Alpha (which shouldn't make
a difference anyway).  It'll be fixed in rawhide when 4.3.0 is out
however.

Note You need to log in before you can comment on or make changes to this bug.